# Retrieve policy validation templates

GET https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates

Retrieves policy validation templates and policy types based on the provided countries. Policy types are unique.
 **Token scopes**: `time-off:read`

Reference: https://developer.deel.com/api/reference/endpoints/time-off/retrieve-policy-validation-templates

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /time_offs/policy-validation-templates:
    get:
      operationId: retrieve-policy-validation-templates
      summary: Retrieve policy validation templates
      description: >-
        Retrieves policy validation templates and policy types based on the
        provided countries. Policy types are unique.
         **Token scopes**: `time-off:read`
      tags:
        - subpackage_timeOff
      parameters:
        - name: countries
          in: query
          description: >-
            List of countries (ISO 3166-1 alpha-2 codes) to fetch policy
            templates and types for.
          required: true
          schema:
            type: array
            items:
              type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Time
                  Off_retrievePolicyValidationTemplates_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePolicyValidationTemplatesRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyTypesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the policy type.
        name:
          type: string
          description: Name of the policy type.
        description:
          type:
            - string
            - 'null'
          description: Description of the policy type.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyTypesItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsLeaveType:
      type: string
      enum:
        - SHORT_TERM_LEAVE
        - LONG_TERM_LEAVE
      description: Classification of the leave duration.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsLeaveType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyType:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the policy type.
        name:
          type: string
          description: Name of the policy type.
        description:
          type:
            - string
            - 'null'
          description: Description of the policy type.
      description: Details of the associated policy type.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTrackingUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: The unit used for tracking the policy cycle (e.g., yearly).
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTrackingUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTrackingCadence:
      type: string
      enum:
        - FIXED_DAY
        - ANNIVERSARY
      description: Determines when the tracking cycle starts.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTrackingCadence
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsType:
      type: string
      enum:
        - BASE_ALLOWANCE
        - ADDITIONAL_ALLOWANCE
      description: Type of allowance (base or additional).
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualType:
      type: string
      enum:
        - TIMEFRAME
        - EVENT_BASED
        - EVENT
        - TIME_OFF_IN_LIEU
        - HOURLY
        - LUMPSUM
      description: How entitlement accrues (over time or based on events).
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for accrual if type is TIMEFRAME.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsRolloverType:
      type: string
      enum:
        - NO_ROLLOVER
        - LIMITED_ROLLOVER
        - UNLIMITED_ROLLOVER
        - PAY_OUT
        - CARRY_OVER
        - CARRY_OVER_PAY_OUT
      description: Rule for carrying over unused balance to the next cycle.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsRolloverType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit in which the entitlement is measured.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsTerminationType:
      type: string
      enum:
        - NO_PAYOUT
        - PAYOUT_BALANCE
      description: Rule for handling the balance upon termination.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsTerminationType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualProrateTypesItems:
      type: string
      enum:
        - PRORATE_UNPAID_LEAVE
        - PRORATE_PAID_LEAVE
        - NO_PRORATE
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualProrateTypesItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsBalanceTrackingType:
      type: string
      enum:
        - FLEXIBLE_UP_TO_YEARLY_ALLOWANCE
        - FLEXIBLE_NO_LIMIT
        - FLEXIBLE_CUSTOM_AMOUNT
        - INFLEXIBLE
      description: How the balance is tracked (e.g., flexible, inflexible).
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsBalanceTrackingType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementStartType:
      type: string
      enum:
        - IMMEDIATELY
        - FIXED_PERIOD
        - FIXED_DATE
      description: When the entitlement starts.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementStartType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementStartUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for the start period if type is FIXED_PERIOD.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementStartUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualApplicationType:
      type: string
      enum:
        - BEGIN_OF_CYCLE
        - BEGIN_OF_NEXT_CYCLE
        - END_OF_CYCLE
      description: When the accrued amount is applied to the balance.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualApplicationType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsRolloverExpirationUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for the expiration period of rolled-over balance.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsRolloverExpirationUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAdditionalAllowanceRulesItems:
      type: object
      properties: {}
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAdditionalAllowanceRulesItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementExpirationUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for entitlement expiration period.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementExpirationUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsPartTimeWorkerAdditionalAllowanceType:
      type: string
      enum:
        - SAME_AS_FTE
        - PERCENTAGE_OF_FTE
        - NO_ADDITIONAL_ALLOWANCE
      description: How additional allowances apply to part-time workers.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsPartTimeWorkerAdditionalAllowanceType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the policy allowance.
        name:
          type: string
          description: Name of the allowance.
        type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsType
          description: Type of allowance (base or additional).
        accrual_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualType
          description: How entitlement accrues (over time or based on events).
        accrual_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualUnit
            - type: 'null'
          description: Unit for accrual if type is TIMEFRAME.
        rollover_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsRolloverType
            - type: 'null'
          description: Rule for carrying over unused balance to the next cycle.
        entitlement_unit:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementUnit
          description: Unit in which the entitlement is measured.
        termination_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsTerminationType
          description: Rule for handling the balance upon termination.
        accrual_unit_amount:
          type:
            - integer
            - 'null'
          description: Amount of accrual per unit if type is TIMEFRAME.
        enable_bank_holidays:
          type: boolean
          description: Whether bank holidays affect the entitlement or usage.
        accrual_prorate_types:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualProrateTypesItems
          description: Specifies conditions under which accrual should be prorated.
        balance_tracking_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsBalanceTrackingType
            - type: 'null'
          description: How the balance is tracked (e.g., flexible, inflexible).
        entitlement_start_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementStartType
            - type: 'null'
          description: When the entitlement starts.
        entitlement_start_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementStartUnit
            - type: 'null'
          description: Unit for the start period if type is FIXED_PERIOD.
        entitlement_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount of entitlement granted in entitlement_unit.
        accrual_application_type:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAccrualApplicationType
            - type: 'null'
          description: When the accrued amount is applied to the balance.
        rollover_expiration_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsRolloverExpirationUnit
            - type: 'null'
          description: Unit for the expiration period of rolled-over balance.
        additional_allowance_rules:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsAdditionalAllowanceRulesItems
          description: Specific rules governing additional allowances.
        rollover_limit_unit_amount:
          type:
            - integer
            - 'null'
          description: Maximum amount that can be rolled over if type is LIMITED_ROLLOVER.
        entitlement_expiration_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsEntitlementExpirationUnit
            - type: 'null'
          description: Unit for entitlement expiration period.
        entitlement_start_unit_amount:
          type:
            - integer
            - 'null'
          description: Amount for the start period if type is FIXED_PERIOD.
        rollover_expiration_unit_amount:
          type:
            - integer
            - 'null'
          description: Amount for the expiration period of rolled-over balance.
        entitlement_expiration_unit_amount:
          type:
            - integer
            - 'null'
          description: Amount for entitlement expiration period.
        zero_out_negative_balances_on_rollover:
          type: boolean
          description: Whether negative balances are reset to zero at rollover.
        part_time_worker_additional_allowance_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItemsPartTimeWorkerAdditionalAllowanceType
          description: How additional allowances apply to part-time workers.
        balance_tracking_flexible_custom_request_amount:
          type:
            - integer
            - 'null'
          description: Custom amount for flexible balance tracking if applicable.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsNoticePeriodUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for the required notice period.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsNoticePeriodUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRequestStartType:
      type: string
      enum:
        - IMMEDIATELY
        - FIXED_PERIOD
      description: When a worker can start requesting time off after becoming eligible.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRequestStartType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRequestStartUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for the waiting period if request_start_type is FIXED_PERIOD.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRequestStartUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsBenefitsPayerType:
      type: string
      enum:
        - ORGANIZATION
        - GOVERNMENT
      description: Who pays for the benefits associated with this time off.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsBenefitsPayerType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAttachmentCondition:
      type: string
      enum:
        - GREATER_THAN
        - LESS_THAN
        - GREATER_THAN_OR_EQUAL
        - LESS_THAN_OR_EQUAL
      description: Comparison operator if attachment is conditionally required.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAttachmentCondition
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsOverlapRequestType:
      type: string
      enum:
        - ALLOWED
        - NOT_ALLOWED
        - ALLOWED_WITH_APPROVAL
      description: Rule for requesting time off that overlaps with existing requests.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsOverlapRequestType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTimeOffRequestType:
      type: string
      enum:
        - FULL_DAY
        - HALF_DAY
        - HOURLY
        - PERCENTAGE
        - FLEXIBLE
      description: Allowed types of time off requests (e.g., full day, hourly).
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTimeOffRequestType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAdoptionDateDefinition:
      type: string
      enum:
        - REQUIRED
        - OPTIONAL
        - FORBIDDEN
      description: >-
        Rule regarding the requirement of an adoption date for relevant
        policies.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAdoptionDateDefinition
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAttachmentConditionUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for the attachment condition amount.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAttachmentConditionUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTimeOffTypeValidationsItems:
      type: object
      properties: {}
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTimeOffTypeValidationsItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationHireProrationRule:
      type: string
      enum:
        - NO_PRORATION
        - FULL_AMOUNT
        - PRORATED_MONTHLY
        - PRORATED_DAILY
        - COUNTRY_SPECIFIC
        - FULL_MONTH_PRORATION_BASED_ON_DAY
        - TENURE_BOUNDARY_PRORATION
      description: Rule for prorating entitlement upon hiring.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationHireProrationRule
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationTerminationProrationRule:
      type: string
      enum:
        - NO_PRORATION
        - FULL_AMOUNT
        - PRORATED_MONTHLY
        - PRORATED_DAILY
        - COUNTRY_SPECIFIC
        - FULL_MONTH_PRORATION_BASED_ON_DAY
        - TENURE_BOUNDARY_PRORATION
      description: Rule for prorating entitlement upon termination.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationTerminationProrationRule
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationPartTimeWorkerTreatmentType:
      type: string
      enum:
        - SAME_AS_FTE
        - SPECIFIC_AMOUNT
        - PRO_RATA
        - PERCENTAGE_OF_FTE
        - BASED_ON_WORK_HOURS
        - BASED_ON_WORK_DAYS
        - CUSTOM_ENTITLEMENT
      description: How part-time workers are treated regarding entitlement.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationPartTimeWorkerTreatmentType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the proration settings.
        has_partial_prorate:
          type: boolean
          description: Indicates if partial proration rules are applied.
        hire_proration_rule:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationHireProrationRule
          description: Rule for prorating entitlement upon hiring.
        is_accrual_prorate_policy:
          type: boolean
          description: Indicates if accrual is prorated based on policy rules.
        termination_proration_rule:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationTerminationProrationRule
          description: Rule for prorating entitlement upon termination.
        hire_proration_cut_off_date:
          type:
            - integer
            - 'null'
          description: Day of the month used as cut-off for hire proration.
        part_time_worker_treatment_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProrationPartTimeWorkerTreatmentType
          description: How part-time workers are treated regarding entitlement.
        termination_proration_cut_off_date:
          type:
            - integer
            - 'null'
          description: Day of the month used as cut-off for termination proration.
        part_time_worker_treatment_specific_amount:
          type:
            - number
            - 'null'
          format: double
          description: Specific amount if treatment type is SPECIFIC_AMOUNT.
        max_part_time_worker_treatment_specific_amount:
          type:
            - number
            - 'null'
          format: double
          description: Maximum specific amount for part-time treatment.
        min_part_time_worker_treatment_specific_amount:
          type:
            - number
            - 'null'
          format: double
          description: Minimum specific amount for part-time treatment.
      description: Proration rules applied to the policy allowances.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProration
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRetrospectiveRequestType:
      type: string
      enum:
        - ALLOWED
        - NOT_ALLOWED
        - ALLOWED_WITH_APPROVAL
      description: Rule for requesting time off for past dates.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRetrospectiveRequestType
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsUploadAttachmentCondition:
      type: string
      enum:
        - REQUIRED
        - NOT_REQUIRED
        - CONDITIONALLY_REQUIRED
        - REQUIRED_WITH_CONDITION
        - ALWAYS_REQUIRED
      description: Condition under which an attachment is needed for a request.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsUploadAttachmentCondition
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAutoApprovalInactivityTimeUnit:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - DAY
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: Unit for the auto-approval inactivity period.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAutoApprovalInactivityTimeUnit
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyValidationTemplateRemindersItems:
      type: object
      properties: {}
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyValidationTemplateRemindersItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the policy validation template.
        country:
          type:
            - string
            - 'null'
          description: >-
            Country code associated with this specific template instance, if
            applicable.
        leave_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsLeaveType
          description: Classification of the leave duration.
        policy_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyType
          description: Details of the associated policy type.
        template_name:
          type:
            - string
            - 'null'
          description: Optional name for this specific template instance.
        tracking_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTrackingUnit
            - type: 'null'
          description: The unit used for tracking the policy cycle (e.g., yearly).
        policy_type_id:
          type: string
          format: uuid
          description: Identifier of the associated policy type.
        tracking_cadence:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTrackingCadence
          description: Determines when the tracking cycle starts.
        policy_allowances:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowancesItems
          description: List of allowances defined within this policy template.
        is_payment_top_off:
          type: boolean
          description: Indicates if the policy involves payment top-offs.
        notice_period_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsNoticePeriodUnit
            - type: 'null'
          description: Unit for the required notice period.
        request_start_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRequestStartType
          description: When a worker can start requesting time off after becoming eligible.
        request_start_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRequestStartUnit
            - type: 'null'
          description: Unit for the waiting period if request_start_type is FIXED_PERIOD.
        benefits_payer_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsBenefitsPayerType
          description: Who pays for the benefits associated with this time off.
        tracking_start_date:
          type:
            - string
            - 'null'
          format: date
          description: Specific start date for FIXED_DAY tracking cadence (YYYY-MM-DD).
        attachment_condition:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAttachmentCondition
            - type: 'null'
          description: Comparison operator if attachment is conditionally required.
        overlap_request_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsOverlapRequestType
          description: Rule for requesting time off that overlaps with existing requests.
        enabled_policy_fields:
          type:
            - array
            - 'null'
          items:
            type: string
          description: List of specific policy fields that are enabled or configurable.
        require_notice_period:
          type:
            - boolean
            - 'null'
          description: Whether a notice period is required before taking time off.
        time_off_request_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTimeOffRequestType
          description: Allowed types of time off requests (e.g., full day, hourly).
        enable_pay_out_balance:
          type: boolean
          description: Whether unused balance can be paid out.
        adoption_date_definition:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAdoptionDateDefinition
          description: >-
            Rule regarding the requirement of an adoption date for relevant
            policies.
        allow_estimated_end_date:
          type: boolean
          description: >-
            Whether an estimated end date can be provided for the time off
            request.
        max_tracking_unit_amount:
          type:
            - integer
            - 'null'
          description: Maximum duration of the tracking cycle in tracking_unit.
        min_tracking_unit_amount:
          type:
            - integer
            - 'null'
          description: Minimum duration of the tracking cycle in tracking_unit.
        attachment_condition_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAttachmentConditionUnit
            - type: 'null'
          description: Unit for the attachment condition amount.
        max_time_off_per_tracking:
          type:
            - number
            - 'null'
          format: double
          description: Maximum amount of time off allowed per tracking cycle.
        min_time_off_per_tracking:
          type:
            - number
            - 'null'
          format: double
          description: Minimum amount of time off required per tracking cycle.
        notice_period_unit_amount:
          type:
            - integer
            - 'null'
          description: Amount for the required notice period.
        time_off_type_validations:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsTimeOffTypeValidationsItems
          description: >-
            Specific validation rules applied to time off types under this
            policy.
        allow_approvers_to_request:
          type: boolean
          description: >-
            Whether designated approvers can also request time off under this
            policy.
        policy_allowance_proration:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyAllowanceProration
            - type: 'null'
          description: Proration rules applied to the policy allowances.
        retrospective_request_type:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsRetrospectiveRequestType
          description: Rule for requesting time off for past dates.
        attachment_condition_amount:
          type:
            - integer
            - 'null'
          description: Threshold amount for the attachment condition.
        disable_termination_editing:
          type: boolean
          description: Whether editing related to termination is disabled.
        include_in_termination_flow:
          type: boolean
          description: Whether this policy is considered during the termination process.
        max_entitlement_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Maximum allowed entitlement amount.
        min_entitlement_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Minimum allowed entitlement amount.
        upload_attachment_condition:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsUploadAttachmentCondition
          description: Condition under which an attachment is needed for a request.
        allow_to_edit_past_time_offs:
          type: boolean
          description: Whether past time off requests under this policy can be edited.
        max_request_start_unit_amount:
          type:
            - integer
            - 'null'
          description: Maximum waiting period amount if request_start_type is FIXED_PERIOD.
        min_request_start_unit_amount:
          type:
            - integer
            - 'null'
          description: Minimum waiting period amount if request_start_type is FIXED_PERIOD.
        default_entitlement_unit_amount:
          type:
            - number
            - 'null'
          format: double
          description: Default amount of entitlement granted per cycle.
        maximum_time_off_request_amount:
          type:
            - number
            - 'null'
          format: double
          description: Maximum amount that can be requested in a single time off request.
        minimum_time_off_request_amount:
          type:
            - number
            - 'null'
          format: double
          description: Minimum amount that can be requested in a single time off request.
        auto_approval_inactivity_time_unit:
          oneOf:
            - $ref: >-
                #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsAutoApprovalInactivityTimeUnit
            - type: 'null'
          description: Unit for the auto-approval inactivity period.
        enable_absence_percentage_requests:
          type: boolean
          description: Whether requests can be made as a percentage of the workday.
        estimated_end_date_client_reminder:
          type:
            - array
            - 'null'
          items:
            type: integer
          description: Days before estimated end date to remind the client/manager.
        estimated_end_date_worker_reminder:
          type:
            - array
            - 'null'
          items:
            type: integer
          description: Days before estimated end date to remind the worker.
        policy_validation_template_reminders:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItemsPolicyValidationTemplateRemindersItems
          description: Configuration for reminders related to this policy template.
        is_auto_approval_on_inactivity_enabled:
          type:
            - boolean
            - 'null'
          description: >-
            Whether requests are automatically approved after a period of
            inactivity.
        allow_time_off_payment_treatment_upsert:
          type:
            - boolean
            - 'null'
          description: Whether payment treatment details can be updated.
        ops_workbench_process_template_reference:
          type:
            - string
            - 'null'
          description: Reference to an Ops Workbench process template, if applicable.
        auto_approval_inactivity_time_unit_amount:
          type:
            - integer
            - 'null'
          description: Amount for the auto-approval inactivity period.
        enable_accrued_days_for_policy_on_termination_flow:
          type: boolean
          description: >-
            Calculate accrued days specifically for this policy during
            termination.
        enable_high_accuracy_accrued_days_on_termination_flow:
          type: boolean
          description: Use high accuracy calculation for accrued days during termination.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        policy_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyTypesItems
          description: List of unique policy types associated with the retrieved templates.
        policy_validation_templates:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaDataPolicyValidationTemplatesItems
          description: List of policy validation templates matching the criteria.
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaData
    Time Off_retrievePolicyValidationTemplates_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaData
      title: Time Off_retrievePolicyValidationTemplates_Response_200
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        path:
          type: string
          description: The JSON path where input validation failed
        message:
          type: string
          description: A description of the returned error
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems
    TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        url:
          type: string
          description: The relative URL of the failed request
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        method:
          type: string
          description: The HTTP method of the failed request
        source:
          type: string
          description: The source handler which produced the returned error
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
      title: >-
        TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaRequest
    RetrievePolicyValidationTemplatesRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems
        request:
          $ref: >-
            #/components/schemas/TimeOffsPolicyValidationTemplatesGetResponsesContentApplicationJsonSchemaRequest
      title: RetrievePolicyValidationTemplatesRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates"

querystring = {"countries":"[\"US\",\"CA\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/time_offs/policy-validation-templates?countries=%5B%22US%22%2C%22CA%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```